# ipe::Fixed Class Reference
Ipe Base

Fixed point number with three (decimal) fractional digits. More...

`#include <ipebase.h>`

List of all members.

## Public Member Functions

- Fixed (int val)
- Fixed ()
- int toInt () const
- double toDouble () const
- int internal () const
- Fixed mult (int a, int b) const
- bool operator== (const Fixed &rhs) const
- bool operator!= (const Fixed &rhs) const
- bool operator< (const Fixed &rhs) const

## Static Public Member Functions

- static Fixed fromInternal (int val)
- static Fixed fromDouble (double val)

## Friends

- Stream & operator<< (Stream &stream, const Fixed &f)

## Detailed Description

Fixed point number with three (decimal) fractional digits.

## Constructor & Destructor Documentation

ipe::Fixed::Fixed | ( | int | val | ) | `[inline, explicit]`

ipe::Fixed::Fixed | ( |  | ) | `[inline, explicit]`

## Member Function Documentation

Fixed ipe::Fixed::fromInternal | ( | int | val | ) | `[inline, static]`

Fixed Fixed::fromDouble | ( | double | val | ) | `[static]`

int ipe::Fixed::toInt | ( |  | ) | const`[inline]`

double ipe::Fixed::toDouble | ( |  | ) | const`[inline]`

int ipe::Fixed::internal | ( |  | ) | const`[inline]`

Fixed Fixed::mult | ( | int | a,
|  | int | b
| ) |  | const

Return value times (a/b)

bool ipe::Fixed::operator== | ( | const Fixed & | rhs | ) | const`[inline]`

bool ipe::Fixed::operator!= | ( | const Fixed & | rhs | ) | const`[inline]`

bool ipe::Fixed::operator< | ( | const Fixed & | rhs | ) | const`[inline]`

## Friends And Related Function Documentation

Stream & operator<< | ( | Stream & | stream,
|  | const Fixed & | f
| ) |  | `[friend]`

The documentation for this class was generated from the following files:

- ipebase.h
- ipebase.cpp